DCHK22(3)

SYNOPSIS
SUBROUTINE DCHK22 (SNAME, EPS, THRESH, NOUT, KPRINT, FATAL, NIDIM, $ IDIM, NKB, KB, NALF, ALF, NBET, BET, NINC, INC, NMAX, INCMAX, $ A, AA, AS, X, XX, XS, Y, YY, YS, YT, G)

NAME
dchk22 - Test DSYMV, DSBMV and DSPMV.

LIBRARY
SLATEC (BLAS)

KEYWORDS
BLAS, QUICK CHECK SERVICE ROUTINE

AUTHOR
Du Croz, J. (NAG) Hanson, R. J. (SNLA)

DESCRIPTION
Quick check for DSYMV, DSBMV and DSPMV. Auxiliary routine for test program for Level 2 Blas.

REFERENCES
(NONE)

ROUTINES CALLED
DMAKE2, DMVCH, DSBMV, DSPMV, DSYMV, LDE, LDERES, NUMXER

REVISION HISTORY (YYMMDD)
870810 DATE WRITTEN
910619 Modified to meet SLATEC code and prologue standards. (BKS)